#include<bits/stdc++.h>
#include "vision.h"
using namespace std;


vector<int> getVisionPattern1d()
{
    return {58, 59, 60};
}

int getMove1d(vector<int> v)
{
    long long mid=v.size()/2;

    if (v[mid]==58 && v[mid+1]==59)
    {
        return v.size()-1;
    }
    if (v[mid]==59 && v[mid+1]==60)
    {
        return v.size()-1;
    }
    if (v[mid]=60 && v[mid+1]==58)
    {
        return v.size()-1;
    }

    return 0;
}

vector<std::vector<int>> getVisionPattern2d()
{
    return {{1}};
}

pair<int, int>getMove2d(vector<vector<int>> v)
{
    return {0, 0};
}
